summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Andrew Brouwers <abrouwers@gmail.com>2010-05-11 15:00:27 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 15:00:27 +0200
commit7d6fcd5cb0f85fbeaa4a773a471ef53f16b4d9dd (patch)
treee24f2f3c2aaa0ca63a2f503ecfe80735023c9181 /multimedia
parent6cea590de17f4d65ef12f6c04171289f94aafab4 (diff)
downloadslackbuilds-7d6fcd5cb0f85fbeaa4a773a471ef53f16b4d9dd.tar.gz
slackbuilds-7d6fcd5cb0f85fbeaa4a773a471ef53f16b4d9dd.tar.xz
multimedia/mpd: Initial import
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/mpd/README13
-rw-r--r--multimedia/mpd/doinst.sh14
-rw-r--r--multimedia/mpd/mpd.SlackBuild87
-rw-r--r--multimedia/mpd/mpd.info8
-rw-r--r--multimedia/mpd/slack-desc7
5 files changed, 129 insertions, 0 deletions
diff --git a/multimedia/mpd/README b/multimedia/mpd/README
new file mode 100644
index 0000000000..e3e0f41d0d
--- /dev/null
+++ b/multimedia/mpd/README
@@ -0,0 +1,13 @@
+Music Player Daemon (MPD) allows remote access for playing music (MP3,
+Ogg Vorbis, FLAC, AAC, Mod, and wave files) and managing playlists.
+MPD is designed for integrating a computer into a stereo system that
+provides control for music playback over a local network. It also makes
+a great desktop music player, especially if you are a console junkie,
+like frontend options, or restart X often.
+
+NOTE: You will have to create a directory manually, ~/.mpd/playlists.
+Also, be sure to edit the config file (/etc/mpd.conf), if needed, before
+running the daemon.
+
+If save status isn't working properly when killing, try `killall -TERM mpd`,
+and that should resolve the problem.
diff --git a/multimedia/mpd/doinst.sh b/multimedia/mpd/doinst.sh
new file mode 100644
index 0000000000..f44e64d067
--- /dev/null
+++ b/multimedia/mpd/doinst.sh
@@ -0,0 +1,14 @@
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/mpd.conf.new
diff --git a/multimedia/mpd/mpd.SlackBuild b/multimedia/mpd/mpd.SlackBuild
new file mode 100644
index 0000000000..0be8d496fc
--- /dev/null
+++ b/multimedia/mpd/mpd.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for mpd
+
+# Copyright 2006 Andrew Brouwers <abrouwers@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=mpd
+VERSION=0.13.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG=_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-mpd
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING INSTALL ChangeLog"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvfz $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --disable-static \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# Use sample config, without overwriting
+install -D -m 644 doc/mpdconf.example $PKG/etc/mpd.conf.new
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Some docs are installed by the source, but we'll need to move them
+cp -a AUTHORS COPYING INSTALL ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/mpd/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/multimedia/mpd/mpd.info b/multimedia/mpd/mpd.info
new file mode 100644
index 0000000000..dd1d497db7
--- /dev/null
+++ b/multimedia/mpd/mpd.info
@@ -0,0 +1,8 @@
+PRGNAM="mpd"
+VERSION="0.13.0"
+HOMEPAGE="http://www.musicpd.org/"
+DOWNLOAD="http://musicpd.org/uploads/files/mpd-0.13.0.tar.gz"
+MD5SUM="0b33bdb9d706439949344073e90f812a"
+MAINTAINER="Andrew Brouwers"
+EMAIL="abrouwers@gmail.com"
+APPROVED="rworkman"
diff --git a/multimedia/mpd/slack-desc b/multimedia/mpd/slack-desc
new file mode 100644
index 0000000000..db5207163b
--- /dev/null
+++ b/multimedia/mpd/slack-desc
@@ -0,0 +1,7 @@
+mpd: Music Player Daemon
+mpd:
+mpd: MPD is designed for integrating a computer into a stereo system that
+mpd: provides control for music playback over a local network. It is also
+mpd: a great music player using one of many available clients.
+mpd:
+mpd: